Subject: bug#23223: 25.0.92; Can xref-find-references be sped up?

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Apr 2016 20:20:11 +0300

> From: Dmitry Gutov <[email-masked]>
> Date: Wed, 6 Apr 2016 18:09:55 +0300
> 
> On 04/06/2016 03:37 AM, Dmitry Gutov wrote:
> 
> > If id-utils (and some other
> > tools we delegate to) know symbol boundaries
> 
> Is that actually the case, though? At most, it's using some wonky 
> heuristics.
> 
> For instance, if I run 'mkid' in the top directory of the Emacs sources, 
> I can search for 'defmacro', and get a few lines with 'cl-defmacro' 
> instead among the results. Or search for 'eval-when', and get some lines 
> with 'eval-when-compile'. But not, curiously, 'cl-eval-when'.
> 
> id-utils version 4.6 here.

Sounds like a bug in reporting matches.  We invoke lid with the -w
switch, which should have reported only complete symbols, AFAIU
(although the documentation confusingly talks about "words").  Perhaps
report this to the developers.

Anyway, if you search in the hits instead of in the file's buffer,
this problem should not affect us, I think.